/**
 * Program RobominGUIDef.java
 * 
 * Date         Version    Author         Comment
 * 2008/03/17   1.0.0      T.Kawashima    First.
 * 
 */

package robomin.ui;

import robomin.util.RobominDef;

/**
 * GUIɊւ`NX
 * @author T.Kawashima
 * @version 1.0.0
 */
public class GUIDef {
	// XvbVEBhE
	public static final String SPLASH_ICONPATH		= RobominDef.RESOURCE_PATH + "tomscop5.jpg";
	public static final String[] SPLASH_LAUCH_MSG	= {"N ... ", "Launching ... "};
	public static final String[] SPLASH_COMP_MSG	= {"", "Completed"};
	
	// ACRpX
	public static final String APPLICATION_ICONPATH	= RobominDef.RESOURCE_PATH + "ReplacerOne-icon.gif";
	public static final String SEARCH_ICONPATH		= RobominDef.RESOURCE_PATH + "System-Internet-Search-48x48.png";
	public static final String REGISTER_ICONPATH	= RobominDef.RESOURCE_PATH + "Network-Internet-Connection-48x48.png";
	public static final String DELETE_ICONPATH		= RobominDef.RESOURCE_PATH + "Symbols-Forbidden-48x48.png";
	public static final String CONNECT_ICONPATH		= RobominDef.RESOURCE_PATH + "System-Globe-48x48.png";
	public static final String DISCONNECT_ICONPATH	= RobominDef.RESOURCE_PATH + "Symbols-Error-48x48.png";
	public static final String INFO_ICONPATH		= RobominDef.RESOURCE_PATH + "Symbols-Info-48x48.png";
	public static final String TABFOLDER_ICONPATH	= RobominDef.RESOURCE_PATH + "folder-blue-32x32.png";
	
	// j[
	public static final String[] MENU_FILE			= {"t@C(&F)", "File(&F)"};
	public static final String[] MENU_FILE_QUIT		= {"I(&Q)", "Quit(&Q)"};
	
	public static final String[] MENU_OPE			= {RobominDef.ROBOT_NAME_JP + "(&R)", RobominDef.ROBOT_NAME_EN + "(&R)"};
	public static final String[] MENU_OPE_SERC		= {"(&S)", "Search(&S)"};
	public static final String[] MENU_OPE_REG		= {"o^(&R)", "Register(&R)"};
	public static final String[] MENU_OPE_DEL		= {"폜(&D)", "Delete(&D)"};
	public static final String[] MENU_OPE_CONN		= {"ڑ(&C)", "Connect(&C)"};
	public static final String[] MENU_OPE_DISCONN	= {"ؒf(&D)", "Disconnect(&D)"};
	
	public static final String[] MENU_SET			= {"ݒ(&S)", "Setting(&S)"};
	public static final String[] MENU_SET_FPS		= {"FPSύX(&F)", "FPS (&F)"};
	public static final String[] MENU_SET_LANG		= {"\(&D)", "Language (&D)"};
	public static final String[] MENU_SET_LANG_JP	= {"{(&J)", "Japanese(&J)"};
	public static final String[] MENU_SET_LANG_EN	= {"p(&E)", "English(&E)"};
	public static final String[] MENU_SET_LOG		= {"Ox(&L)", "Log level (&L)"};
	public static final String[] MENU_SET_LOG_SE	= {"dv(&S)", "SEVERE(&S)"};
	public static final String[] MENU_SET_LOG_WA	= {"x(&W)", "WARNING(&W)"};
	public static final String[] MENU_SET_LOG_IN	= {"(&I)", "INFO(&I)"};
	public static final String[] MENU_SET_LOG_DE	= {"fobO(&D)", "DEBUG(&D)"};

	public static final String[] MENU_HELP			= {"wv(&H)", "Help(&H)"};
	public static final String[] MENU_HELP_ABOUT	= {RobominDef.APPLI_NAME + "ɂ(&A)", "About " + RobominDef.APPLI_NAME + "(&A)"};
	
	// FPSݒ_CAO
	public static final String[] DIALOG_SET_FPS		= {"FPS(J)ݒ", "FPS Setting"};
	
	// ݒ_CAO
	public static final String[] DIALOG_SET_LANG	= {"\ݒ", "Language Setting"};
	public static final String DIALOG_SET_LANG_MSG[]	=
		{"\n\n\n" +
		"\ύX܂Bݒ͍ċNɗLɂȂ܂B",
		"\n\n\n" +
		"Changing language completed. Please restart " + RobominDef.APPLI_NAME};
	
	// o^_CAO
	public static final String[] DIALOG_REG_TITLE	= {RobominDef.ROBOT_NAME_JP + "o^", "Register " + RobominDef.ROBOT_NAME_EN};
	public static final String[] DIALOG_REG_NAME	= {"o^郍{bgO͂ĉ", "Please input robot's name"};
	public static final String[] DIALOG_REG_ADDR	= {"o^郍{bgIPAhX͂ĉ", "Please input robot's IP address"};
	
	// G[_CAO
	public static final String[] DIALOG_ERR_TITLE_CONN	= {"ڑs", "Connect failed"};
	public static final String[] DIALOG_ERR_MSG_CONN	=
		{"\n\n" + 
		"ڑɎs܂B" +
		"ڑAhXmFĉB",
		"\n\n" + 
		"Connecting failed." +
		"Please confirm input address."};
	public static final String DIALOG_ERR_TITLE_DISCONN[]= {"ؒfs", "Disconnect failed"};
	public static final String DIALOG_ERR_MSG_DISCONN[]	=
		{"\n\n" + 
		"ؒfɎs܂B" +
		"ؒf܂B",
		"\n\n" + 
		"Disconnecting failed." +
		"Disconnected mandatorily."};
	public static final String DIALOG_ERR_TITLE_ADD[]	= {"ǉs", "Add failed"};
	public static final String DIALOG_ERR_MSG_ADD[]		=
		{"\n\n" + 
		"ǉɎs܂B" +
		"ǉő吔(8)𒴂Ă܂B",
		"\n\n" + 
		"Add failed." +
		"Max registering robot num is 8."};
	
	// wv_CAO
	public static final String[] DIALOG_ABOUT_TITLE	= {RobominDef.APPLI_NAME + "ɂ", "About " + RobominDef.APPLI_NAME};
	public static final String DIALOG_ABOUT_MSG	=
		"\n\n\n" +
		"                    " + RobominDef.APPLI_NAME + " Version " + RobominDef.VERSION + "\n\n" +
		"                  " + RobominDef.URL + "\n\n" +
		"          " + RobominDef.COPYRIGHT +"\n\n" +
		"           ";
	
	// Phidget_CAO
	public static final String[] DIALOG_PHIDGET_TITLE	= {"Phidget Sensor ڑ", "Phidget Sensor connection"};
	public static final String[] DIALOG_PHIDGET_SELECT	= {"ڑ", "Destination"};
	public static final String[] DIALOG_PHIDGET_SERIAL	= {"VAio[͂ĉ", "Please input serial number"};
	public static final String[] DIALOG_PHIDGET_IPADDR	= {"IPAhX͂ĉ", "Please input IP address"};
	public static final String[] DIALOG_PHIDGET_PORT	= {"|[gԍ͂ĉ", "Please input port number"};
	public static final String[] DIALOG_PHIDGET_PASSWD	= {"pX[h͂ĉ(ȗ)", "Please input password (You can omit)"};
	
	// c[`bv(c[o[)
	public static final String[] TOOLBAR_SEARCH_TIP		= {RobominDef.ROBOT_NAME_JP + "", "Search " + RobominDef.ROBOT_NAME_EN};
	public static final String[] TOOLBAR_REGISTER_TIP 	= {RobominDef.ROBOT_NAME_JP + "o^", "Register " + RobominDef.ROBOT_NAME_EN};
	public static final String[] TOOLBAR_DEL_TIP 		= {RobominDef.ROBOT_NAME_JP + "폜", "Delete " + RobominDef.ROBOT_NAME_EN};
	public static final String[] TOOLBAR_CONN_TIP		= {RobominDef.ROBOT_NAME_JP + "Ɛڑ", "Connect " + RobominDef.ROBOT_NAME_EN};
	public static final String[] TOOLBAR_DISCONN_TIP	= {RobominDef.ROBOT_NAME_JP + "Ɛؒf", "Disconnect " + RobominDef.ROBOT_NAME_EN};
	public static final String[] TOOLBAR_INFO_TIP		= {RobominDef.APPLI_NAME + "̏", RobominDef.APPLI_NAME + " Information"};

	// pl 
	public static final String[] GROUP_INFO				= {RobominDef.ROBOT_NAME_JP + "AhX", RobominDef.ROBOT_NAME_EN + " Address"};
	public static final String[] GROUP_INFO_DEFAULT		= {"Ił", "Unselected"};
	
	// J 
	public static final String[] GROUP_CAMERA			= {"Jf", "Camera View"};
	public static final int DIALOG_FPS_INCREMENT		= 1;
	public static final int DIALOG_FPS_PINCREMENT		= 1;
	
	// c[
	public static final String[] TREE_ROOT				= {"X}[g[", "Smart Room"};
	
	// ^utH_[
	public static final String[] TABFOLDER_NETTANSOR	= {"@lbg^T[ ", " NetTansor "};
	public static final String[] TABFOLDER_MINDSTORM	= {"}ChXg[", "MINDSTORM"};
	public static final String[] TABFOLDER_CONSOLE		= {"@@O  @@@", "  LOG     "};
	
	public static final String[] NTTAB_OPEGROUP			= {"", "Operation Panel"};
	public static final String[] NTTAB_ROUTEGROUP		= {"[gw","Route Indicator"};
	public static final String[] NTTAB_PHIDGETGROUP		= {"Phidget ZT[", "Phidget Sensor"};
	public static final String[] NTTAB_PROMPTGROUP		= {"Robomin vvg", "Robomin Prompt"};
	
	// Iy[Vpl j[
	public static final String[] NTTAB_OPE_SENDBTN		= {"M",	"SEND"};
	
	public static final String[] NTTAB_OPE_FWCMD		= {"Oi@  ",	"FORWARD "};
	public static final String[] NTTAB_OPE_BKCMD		= {"ށ@  ",	"BACKWARD"};
	public static final String[] NTTAB_OPE_RRCMD		= {"E]  ",	"ROTATE R"};
	public static final String[] NTTAB_OPE_RLCMD		= {"]  ",	"ROTATE L"};
	public static final String[] NTTAB_OPE_CFRCMD		= {"EOJ[u",	"CURVE FR "};
	public static final String[] NTTAB_OPE_CFLCMD		= {"OJ[u",	"CURVE FL "};
	public static final String[] NTTAB_OPE_CBRCMD		= {"EJ[u",	"CURVE BR "};
	public static final String[] NTTAB_OPE_CBLCMD		= {"J[u",	"CURVE BL "};
	public static final String[] NTTAB_OPE_STCMD		= {"~@   ",	"STOP    "};
	public static final String[] NTTAB_OPE_EXCMD		= {"T     ",	"EXPLORER"};
	public static final String[] NTTAB_OPE_FOCMD		= {"Ǐ]     ",	"FOLLOW  "};
	public static final String[] NTTAB_OPE_WACMD		= {"     ",	"WATCH   "};
	public static final String[] NTTAB_OPE_BRCMD		= {"     ",	"BRIGHT  "};
	public static final String[] NTTAB_OPE_DACMD		= {"t  ",	"DARK    "};
	public static final String[] NTTAB_OPE_MMCMD		= {"[^[ ","MOTOR   "};
	
	// Iy[Vpl c[`bv
	private static final String POWER_V		= " (" + RobominDef.NTPOWER_MIN + " ` " + RobominDef.NTPOWER_MAX + ")";
	private static final String DISTANCE_V	= " (" + RobominDef.NTDISTANCE_MIN + " ` " + RobominDef.NTDISTANCE_MAX + ")";
	private static final String ANGLE_V		= " (" + RobominDef.NTANGLE_MIN + " ` " + RobominDef.NTANGLE_MAX + ")";
	private static final String TIME_V		= " (" + RobominDef.NTTIME_MIN + " ` " + RobominDef.NTTIME_MAX + ")";
	private static final String SENSOR_V	= " (" + RobominDef.NTSENSOR_MIN + " ` " + RobominDef.NTSENSOR_MAX + ")";
	private static final String MOTOR_V		= " (" + RobominDef.NTMOTORP_MIN + " ` " + RobominDef.NTMOTORP_MAX + ")";
	
	public static final String[] NTTAB_OPESP11_TOOLTIP	= {"p[" + POWER_V,		"Power" + POWER_V};
	public static final String[] NTTAB_OPESP12_TOOLTIP	= {"" + DISTANCE_V,		"Distance" + DISTANCE_V};
	public static final String[] NTTAB_OPESP21_TOOLTIP	= {"p[" + POWER_V,		"Power" + POWER_V};
	public static final String[] NTTAB_OPESP22_TOOLTIP	= {"px" + ANGLE_V,			"Angle" + ANGLE_V};
	public static final String[] NTTAB_OPESP41_TOOLTIP	= {"őp[" + POWER_V,		"Max power" + POWER_V};
	public static final String[] NTTAB_OPESP42_TOOLTIP	= {"ZT[x" + SENSOR_V,	"Sensor Sensitivity" + SENSOR_V};
	public static final String[] NTTAB_OPESP43_TOOLTIP	= {"Ǝ" + TIME_V,		"Operation Time" + TIME_V};
	public static final String[] NTTAB_OPESP51_TOOLTIP	= {"őp[" + POWER_V,		"Max power" + POWER_V};
	public static final String[] NTTAB_OPESP52_TOOLTIP	= {"Ǝ" + TIME_V,		"Operation Time" + TIME_V};
	public static final String[] NTTAB_OPESP61_TOOLTIP	= {"E[^[" + MOTOR_V,		"Right motor" + MOTOR_V};
	public static final String[] NTTAB_OPESP62_TOOLTIP	= {"[^[" + MOTOR_V,		"Left motor" + MOTOR_V};
	
	// R|[lgTCY
	public static final int NTTAB_OPE_COMBO_X			= 70;
	public static final int NTTAB_OPE_COMBO_Y			= 14;
	public static final int NTTAB_OPE_SPIN_X			= 20;
	public static final int NTTAB_OPE_SPIN_Y			= 14;
	public static final int NTTAB_OPE_SPACE_X			= 45;
	public static final int NTTAB_OPE_SPACE_Y			= 22;
	public static final int NTTAB_OPE_BTN_X				= 40;
	public static final int NTTAB_OPE_BTN_Y				= 22;
	
	public static final String[] NTTAB_ROUTE_STARTBTN	= {"Jn", "START"};
	public static final String[] NTTAB_ROUTE_STOPBTN	= {"~", "STOP"};
	public static final String[] NTTAB_ROUTE_RESETBTN	= {"Zbg", "RESET"};
	
	public static final String[] NTTAB_PHIDGET_BTN_ENAB	= {"L", "ENABLE"};
	public static final String[] NTTAB_PHIDGET_BTN_DISA	= {"", "DISABLE"};
	
	public static final String[] NTTAB_PHDGET_TOOL1		= {"Vڑ͂ڑ܂", "Connecting new phidget sensor"};
	public static final String[] NTTAB_PHDGET_TOOL2		= {"̐ڑɐڑ܂", "Reconnecting phidget sensor"};
	public static final String[] NTTAB_PHDGET_TOOL3		= {"ؒf܂", "Disconnecting phidget sensor"};
	
	public static final String[] NTTAB_PHIDGET_JOYGROUP	= {"WCXeBbN", "Joy Stick"};
	public static final String[] NTTAB_PHIDGET_SLIDER	= {"RFID[_[", "RFID reader"};
	public static final String NTTAB_PHIDGET_NEWCONICON	= RobominDef.RESOURCE_PATH + "share-32x32.png";
	public static final String NTTAB_PHIDGET_RECONICON	= RobominDef.RESOURCE_PATH + "socket-32x32.png";
	public static final String NTTAB_PHIDGET_DISCONICON	= RobominDef.RESOURCE_PATH + "x-32x32.png";
	
	// Phidget Wizard
	public static final String[] WIZARD_PHIDGET_TITLE	= {"Phidget ZT[ڑ", "Phidget Sensor connection"};
	public static final String[] WIZARD_PHIDGET_P1_TITLE= {"ڑI", "Select destination"};
	public static final String[] WIZARD_PHIDGET_P1_BTN1	= {"[JPC", "Local PC"};
	public static final String[] WIZARD_PHIDGET_P1_BTN2	= {"[gPC", "Remote PC"};
	public static final String[] WIZARD_PHIDGET_P1_LBL1	= {"VAԍ(&S)", "Serial number(&S)"};
	public static final String[] WIZARD_PHIDGET_P1_LBL2	= {"IPAhX(&I)", "IP address(&I)"};
	public static final String[] WIZARD_PHIDGET_P1_LBL3	= {"|[gԍ(&P)", "Port number(&P)"};
	public static final String[] WIZARD_PHIDGET_P1_LBL4	= {"pX[h(&P)", "Password(&P)"};
	public static final String[] WIZARD_PHIDGET_P1_ERR1	= {"5̃VAio[͂ĉ", "Please input serial number (5)"};
	public static final String[] WIZARD_PHIDGET_P1_ERR2	= {"IPAhX͂ĉ", "Please input IP address"};
	public static final String[] WIZARD_PHIDGET_P1_ERR3	= {"|[gԍ͂ĉ", "Please input port number"};

	public static final String[] WIZARD_PHIDGET_P2_TITLE= {"ZT[I", "Select sensor"};
	public static final String[] WIZARD_PHIDGET_P2_S1	= {"IntefaceKit 8/8/8", "IntefaceKit 8/8/8"};
	public static final String[] WIZARD_PHIDGET_P2_S2	= {"RFID[_[", "RFID reader"};
	public static final String[] WIZARD_PHIDGET_P2_S3	= {"xZT[", "Acceleration Sensor"};
	public static final String[] WIZARD_PHIDGET_P2_LBL1	= {"ZT[", "Sensor"};
	public static final String[] WIZARD_PHIDGET_P2_LBL2	= {"I/O|[g", "I/O port"};
	public static final String[] WIZARD_PHIDGET_P2_LBL3	= {"WCXeBbN(X)", "Joy Stick X-Axis"};
	public static final String[] WIZARD_PHIDGET_P2_LBL4	= {"WCXeBbN(Y)", "Joy Stick Y-Axis"};
	public static final String[] WIZARD_PHIDGET_P2_LBL5	= {"XC_[", "Slider"};
	public static final String[] WIZARD_PHIDGET_P2_LBL6	= {"", "Light"};
	public static final String[] WIZARD_PHIDGET_P2_LBL7	= {"^b`", "Touch"};
	public static final String[] WIZARD_PHIDGET_P2_LBL8	= {"x", "Temperature"};
	public static final String[] WIZARD_PHIDGET_P2_LBL9	= {"]", "Rotation"};
	public static final String[] WIZARD_PHIDGET_P2_LBL10= {"ԊO(10cm)", "IR-Reflective"};
	
	public static final String[] WIZARD_PHIDGET_P2_ERR1	= {"قȂI/O|[gIĉ", "Please select exclusive I/O port"};
}
