/**
 * Program MINDSTORMTab.java
 * 
 * Date         Version    Author         Comment
 * 2008/03/12   1.0.0      T.Kawashima    First.
 * 
 */

package robomin.ui;

import org.eclipse.jface.resource.ImageRegistry;
import org.eclipse.swt.SWT;
import org.eclipse.swt.SWTException;
import org.eclipse.swt.custom.CTabFolder;
import org.eclipse.swt.custom.CTabItem;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Display;

import robomin.util.RobominInfo;

/**
 * MINDSTORMp^u
 * @author T.Kawashima
 * @version 1.0.0
 */
public class MINDSTORMTab {
	private Image tabIcon;
	private CTabItem mainTabItem2;
	private int language;
	
	public MINDSTORMTab(CTabFolder tabFolder, RobominInfo info) {
		language = info.getLanguage();
		ImageRegistry imgReg = new ImageRegistry();
		
		try {
			tabIcon = new Image(Display.getDefault(), GUIDef.APPLICATION_ICONPATH);
			imgReg.put(GUIDef.APPLICATION_ICONPATH, tabIcon);
		}
		catch (SWTException e) {
			//logger.log(Level.SEVERE, "G[", e);
		}
		
		mainTabItem2 = new CTabItem(tabFolder, SWT.NONE);
		mainTabItem2.setText(GUIDef.TABFOLDER_MINDSTORM[language]);
		mainTabItem2.setImage(tabIcon);
	}
}
