/**
 * Program RobotminDef.java
 * 
 * Date         Version    Author         Comment
 * 2008/03/17   1.0.0      T.Kawashima    First.
 * 
 */

package robomin.util;

/**
 * Roboministratoȑ`NX
 * @author T.Kawashima
 * @version 1.0.0
 */
public class RobominDef {
	// VXe`
	public static final String APPLI_NAME		= "Roboministrator";
	public static final String VERSION			= "1.0.0 Alpha";
	public static final String URL				= "URL http://malab.cis.k.hosei.ac.jp/";
	public static final String COPYRIGHT		= "Copyright 2008 T.Kawashima All Rights Reserved.";
	public static final String ROBOT_NAME_JP	= "{bg";
	public static final String ROBOT_NAME_EN	= "Robot";
	public static final String[] ROBOT_NAME		= {ROBOT_NAME_JP, ROBOT_NAME_EN};
	public static final String RESOURCE_PATH	= "resources/";
	public static final String LOGFILE_NAME		= APPLI_NAME + ".log";
	public static final String PROPFILE_NAME	= APPLI_NAME + ".properties";
	
	// vpeB
	public static final String PROPKEY_LOGLEVEL	= "loglevel";
	public static final String PROPKEY_LANGUAGE = "language";
	
	public static final String PROPKEY_NTADDR_BASE = "ntaddr";
	public static final String PROPKEY_NTADDR0	= PROPKEY_NTADDR_BASE + "0";
	public static final String PROPKEY_NTADDR1	= PROPKEY_NTADDR_BASE + "1";
	public static final String PROPKEY_NTADDR2	= PROPKEY_NTADDR_BASE + "2";
	public static final String PROPKEY_NTADDR3	= PROPKEY_NTADDR_BASE + "3";
	public static final String PROPKEY_NTADDR4	= PROPKEY_NTADDR_BASE + "4";
	public static final String PROPKEY_NTADDR5	= PROPKEY_NTADDR_BASE + "5";
	public static final String PROPKEY_NTADDR6	= PROPKEY_NTADDR_BASE + "6";
	public static final String PROPKEY_NTADDR7	= PROPKEY_NTADDR_BASE + "7";
	
	public static final String PROPKEY_NTNAME_BASE = "ntname";
	public static final String PROPKEY_NTNAME0	= PROPKEY_NTNAME_BASE + "0";
	public static final String PROPKEY_NTNAME1	= PROPKEY_NTNAME_BASE + "1";
	public static final String PROPKEY_NTNAME2	= PROPKEY_NTNAME_BASE + "2";
	public static final String PROPKEY_NTNAME3	= PROPKEY_NTNAME_BASE + "3";
	public static final String PROPKEY_NTNAME4	= PROPKEY_NTNAME_BASE + "4";
	public static final String PROPKEY_NTNAME5	= PROPKEY_NTNAME_BASE + "5";
	public static final String PROPKEY_NTNAME6	= PROPKEY_NTNAME_BASE + "6";
	public static final String PROPKEY_NTNAME7	= PROPKEY_NTNAME_BASE + "7";
	
	// o^ł郍{bg̍ő吔
	public static final int PROPNTNUM_MAX		= 8;
	
	// Ox
	public static final int LOGLEVEL_SEVERE		= 0;
	public static final int LOGLEVEL_WARNING	= 1;
	public static final int LOGLEVEL_INFO		= 2;
	public static final int LOGLEVEL_DEBUG		= 3;
	public static final int LOGLEVEL_DEFUALT	= LOGLEVEL_INFO;
	
	// 
	public static final int LANG_JP				= 0;
	public static final int LANG_EN				= 1;
	public static final int LANG_DEFUALT		= LANG_JP;
	
	// Ԃl
	public static final int SUCCESS				= 0;
	public static final int FAIL				= -1;
	public static final int FAIL_CONNECT		= -2;
	public static final int FAIL_SIZE			= -3;
	public static final int CANCEL				= -4;
	
	// lbg^T[ ݒ
	public static final int NTPORT_NUM			= 8081;
	public static final String NTCAM_PREFIX		= "http://";
	public static final String NTCAM_SUFFIX		= "/goform/video2/";
	
	// lbg^T[ R}h
	public static final String NTCMD_DELIMITER	= ",";
	public static final String NTCMD_GREA		= "<";
	public static final String NTCMD_LESS		= ">";
	public static final String NTCMD_CR			= "\r";
	public static final String NTCMD_FORWARD	= "fr";
	public static final String NTCMD_BACKWARD	= "bk";
	public static final String NTCMD_RROTATE	= "rt";
	public static final String NTCMD_LROTATE	= "lt";
	public static final String NTCMD_RFORWARD	= "fr";
	public static final String NTCMD_LFORWARD	= "fl";
	public static final String NTCMD_RBACKWARD	= "br";
	public static final String NTCMD_LBACKWARD	= "bl";
	public static final String NTCMD_STOP		= "st";
	public static final String NTCMD_EXPLORE	= "explore";
	public static final String NTCMD_FOLLOW		= "follow";
	public static final String NTCMD_WATCH		= "watch";
	public static final String NTCMD_BRIGHT		= "bright";
	public static final String NTCMD_DARK		= "dark";
	public static final String NTCMD_MM			= "mm";
	
	// lbg^T[ R}hMINAMAX
	public static final int NTPOWER_MIN		= 1;
	public static final int NTPOWER_MAX		= 31;
	public static final int NTDISTANCE_MIN	= 1;
	public static final int NTDISTANCE_MAX	= 250;
	public static final int NTSENSOR_MIN	= 0;
	public static final int NTSENSOR_MAX	= 5;
	public static final int NTANGLE_MIN		= 1;
	public static final int NTANGLE_MAX		= 360;
	public static final int NTSENS_MIN		= 0;
	public static final int NTSENS_MAX		= 5;
	public static final int NTTIME_MIN		= 1;
	public static final int NTTIME_MAX		= 250;
	public static final int NTMOTORP_MIN	= -31;
	public static final int NTMOTORP_MAX	= 31;
	
	public static final int CAMERA_FPS_MIN	= 1;
	public static final int CAMERA_FPS_MAX	= 30;
}
